from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XBoundControl(XInterface, Protocol):
    def getLock(self) -> bool: ...
    def setLock(self, bLock: bool) -> None: ...
